curl --request POST \
--url https://app.formbricks.com/api/v2/management/contacts \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"workspaceId": "ws_01h2xce9q8p3w4x5y6z7a8b9c0",
"attributes": {
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"userId": "h2xce9q8p3w4x5y6z7a8b9c1"
}
}
'import requests
url = "https://app.formbricks.com/api/v2/management/contacts"
payload = {
"workspaceId": "ws_01h2xce9q8p3w4x5y6z7a8b9c0",
"attributes": {
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"userId": "h2xce9q8p3w4x5y6z7a8b9c1"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: 'ws_01h2xce9q8p3w4x5y6z7a8b9c0',
attributes: {
email: 'john.doe@example.com',
firstName: 'John',
lastName: 'Doe',
userId: 'h2xce9q8p3w4x5y6z7a8b9c1'
}
})
};
fetch('https://app.formbricks.com/api/v2/management/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ctc_01h2xce9q8p3w4x5y6z7a8b9c2",
"createdAt": "2023-01-01T12:00:00.000Z",
"workspaceId": "ws_01h2xce9q8p3w4x5y6z7a8b9c0",
"environmentId": "env_01h2xce9q8p3w4x5y6z7a8b9c0",
"attributes": {
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"userId": "h2xce9q8p3w4x5y6z7a8b9c1"
}
}Create a contact
Creates a single contact in the database. This endpoint expects a top-level attributes object. For bulk uploads, use PUT /management/contacts/bulk, which expects contacts[].attributes[] instead. Each contact must have a valid email address in the attributes. All attribute keys must already exist in the Workspace. The email is used as the unique identifier along with the Workspace. Note - Environments are deprecated. Use Workspace/workspaceId terminology.
Authorizations
Use your Formbricks x-api-key to authenticate.
Body
The single contact to create. Must include a top-level attributes object with an email attribute, and all attribute keys must already exist in the Workspace. Note - Environments are deprecated. Use Workspace/workspaceId terminology.
Was this page helpful?